summaryrefslogtreecommitdiff
path: root/gnu/egcs/gcc/fixinc
diff options
context:
space:
mode:
authorMarc Espie <espie@cvs.openbsd.org>2000-06-05 22:18:08 +0000
committerMarc Espie <espie@cvs.openbsd.org>2000-06-05 22:18:08 +0000
commit1cc0c12429e74c09f75c778f6ab729133f4f7115 (patch)
tree4f6e375a31fb41e453f75cdb7b730ec068b8dbda /gnu/egcs/gcc/fixinc
parentcb93c551e9ce9846b9f004a0eed7991d15b8b260 (diff)
Synch with 2.95.3 (pre-rel)
Diffstat (limited to 'gnu/egcs/gcc/fixinc')
-rw-r--r--gnu/egcs/gcc/fixinc/fixincl.sh7
-rw-r--r--gnu/egcs/gcc/fixinc/inclhack.sh7
-rw-r--r--gnu/egcs/gcc/fixinc/inclhack.tpl7
3 files changed, 18 insertions, 3 deletions
diff --git a/gnu/egcs/gcc/fixinc/fixincl.sh b/gnu/egcs/gcc/fixinc/fixincl.sh
index 56eebd60bc4..05722bdff01 100644
--- a/gnu/egcs/gcc/fixinc/fixincl.sh
+++ b/gnu/egcs/gcc/fixinc/fixincl.sh
@@ -125,7 +125,12 @@ for INPUT in ${INPUTLIST} ; do
cd ${ORIGDIR}
-cd ${INPUT} || continue
+# This originally used cd || continue, however, that does not work with the
+# Solaris2 /bin/sh.
+if [ ! -d ${INPUT} ]; then
+ continue
+fi
+cd ${INPUT}
INPUT=`${PWDCMD}`
#
diff --git a/gnu/egcs/gcc/fixinc/inclhack.sh b/gnu/egcs/gcc/fixinc/inclhack.sh
index f6fab88798b..c2d85b1a4bf 100644
--- a/gnu/egcs/gcc/fixinc/inclhack.sh
+++ b/gnu/egcs/gcc/fixinc/inclhack.sh
@@ -123,7 +123,12 @@ for INPUT in ${INPUTLIST} ; do
cd ${ORIGDIR}
-cd ${INPUT} || continue
+# This originally used cd || continue, however, that does not work with the
+# Solaris2 /bin/sh.
+if [ ! -d ${INPUT} ]; then
+ continue
+fi
+cd ${INPUT}
INPUT=`${PWDCMD}`
#
diff --git a/gnu/egcs/gcc/fixinc/inclhack.tpl b/gnu/egcs/gcc/fixinc/inclhack.tpl
index 587a8e53143..2c76483ba62 100644
--- a/gnu/egcs/gcc/fixinc/inclhack.tpl
+++ b/gnu/egcs/gcc/fixinc/inclhack.tpl
@@ -118,7 +118,12 @@ for INPUT in ${INPUTLIST} ; do
cd ${ORIGDIR}
-cd ${INPUT} || continue
+# This originally used cd || continue, however, that does not work with the
+# Solaris2 /bin/sh.
+if [ ! -d ${INPUT} ]; then
+ continue
+fi
+cd ${INPUT}
INPUT=`${PWDCMD}`
#